# synfigapp::Action::LayerDuplicate Class Reference

`#include <layerduplicate.h>`

Inheritance diagram for synfigapp::Action::LayerDuplicate:

List of all members.

## Public Member Functions

| LayerDuplicate ()
virtual bool | set_param (const synfig::String &name, const Param &)
virtual bool | is_ready () const
virtual void | prepare ()
void | export_dup_nodes (synfig::Layer::Handle, synfig::Canvas::Handle, int &)

## Static Public Member Functions

static ParamVocab | get_param_vocab ()
static bool | is_candidate (const ParamList &x)

## Constructor & Destructor Documentation

Action::LayerDuplicate::LayerDuplicate | ( |  | ) |

## Member Function Documentation

Action::ParamVocab Action::LayerDuplicate::get_param_vocab | ( |  | ) | `[static]`

Reimplemented from synfigapp::Action::CanvasSpecific.

References _, synfigapp::Action::CanvasSpecific::get_param_vocab(), and synfigapp::Action::Param::TYPE_LAYER.

Referenced by is_candidate().

bool Action::LayerDuplicate::is_candidate | ( | const ParamList & | x | ) | `[static]`

References synfigapp::Action::candidate_check(), and get_param_vocab().

bool Action::LayerDuplicate::set_param | ( | const synfig::String & | name,
|  | const Param & | param |
| ) |  |  | `[virtual]`

Reimplemented from synfigapp::Action::CanvasSpecific.

References synfigapp::Action::Param::get_layer(), synfigapp::Action::Param::get_type(), synfigapp::Action::CanvasSpecific::set_param(), and synfigapp::Action::Param::TYPE_LAYER.

bool Action::LayerDuplicate::is_ready | ( |  | ) | const`[virtual]`

Reimplemented from synfigapp::Action::CanvasSpecific.

References synfigapp::Action::CanvasSpecific::is_ready().

void Action::LayerDuplicate::prepare | ( |  | ) | `[virtual]`

Implements synfigapp::Action::Super.

References _, synfigapp::Action::Super::add_action_front(), synfigapp::Action::create(), export_dup_nodes(), synfigapp::Action::Super::first_time(), synfigapp::Action::CanvasSpecific::get_canvas(), and synfigapp::Action::CanvasSpecific::get_canvas_interface().

void synfigapp::Action::LayerDuplicate::export_dup_nodes | ( | synfig::Layer::Handle | ,
|  | synfig::Canvas::Handle | ,
|  | int & |  |
| ) |  |  |

Referenced by prepare().

The documentation for this class was generated from the following files:

- layerduplicate.h
- layerduplicate.cpp